Bug 22121 - Wordpress add link dialogue box not overlaid gray background properly
Summary: Wordpress add link dialogue box not overlaid gray background properly
Status: RESOLVED DUPLICATE of bug 21274
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Nobody
URL: http://www.clarusthecairodogcow.com/b...
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-06 18:47 PST by Nabeel Rahimpour
Modified: 2008-12-27 12:33 PST (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nabeel Rahimpour 2008-11-06 18:47:15 PST
To be honest, I'm not sure if this is a Wordpress issue or a WebKit issue, but the current release of Safari shows it properly, so...

When you highlight text and click the link button in Wordpress, the webpage grays out, and a dialogue box (using Java script or Ajax, not too sure) is suppose to appear over top everything and be usable, however it isn't.
Here is how it looks on WebKit: http://img404.imageshack.us/my.php?image=picture5qn3.png
and Here is it on Safari: http://img522.imageshack.us/my.php?image=picture6qf1.png

(I hope I am doing this properly)

I hope this helps, and I apologize for my lack of knowledge.

Here is the source for the website:
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"  dir="ltr" lang="en"> 
<head> 
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /> 
<title>Test Blog &rsaquo; Create New Post &#8212; WordPress</title> 
<link rel='stylesheet' href='https://s-ssl.wordpress.com/wp-admin/css/wpcom.css?m=1225927185a' type='text/css' /> 
<script type="text/javascript"> 
//<![CDATA[
addLoadEvent = function(func) {if (typeof jQuery != "undefined") jQuery(document).ready(func); else if (typeof wpOnload!='function'){wpOnload=func;} else {var oldonload=wpOnload; wpOnload=function(){oldonload();func();}}};
//]]>
</script> 
<link rel='stylesheet' href='https://s-ssl.wordpress.com/wp-includes/js/thickbox/thickbox.css?m=1214174746a' type='text/css' media='all' /> 
<link rel='stylesheet' href='https://s-ssl.wordpress.com/wp-admin/css/global.css?m=1212166953a' type='text/css' media='all' /> 
<link rel='stylesheet' href='https://s-ssl.wordpress.com/wp-admin/wp-admin.css?m=1219942013a' type='text/css' media='all' /> 
<link rel='stylesheet' href='https://s-ssl.wordpress.com/wp-admin/css/colors-fresh-wpcom.css?m=1207340914a' type='text/css' /> 
<link rel='stylesheet' href='https://s-ssl.wordpress.com/wp-admin/css/colors-fresh.css?m=1219942013a' type='text/css' media='all' /> 
<!--[if gte IE 6]>
<link rel='stylesheet' href='https://s-ssl.wordpress.com/wp-admin/css/ie.css?m=1212166953a' type='text/css' media='all' />
<![endif]--> 
<script type='text/javascript' src='https://s-ssl.wordpress.com/wp-includes/js/jquery/jquery.js?ver=1.2.6'></script> 
<script type='text/javascript'> 
/* <![CDATA[ */
	userSettings = {
		url: "/",
		uid: "5504143",
		time: "1226025817"
	}
/* ]]> */
</script> 
<script type='text/javascript' src='https://nabeelco.wordpress.com/wp-admin/js/user-settings.js?ver=20080829'></script> 
<script type='text/javascript' src='https://nabeelco.wordpress.com/wp-admin/js/common.js?ver=20081104'></script> 
<script type='text/javascript' src='https://s-ssl.wordpress.com/wp-includes/js/jquery/jquery.color.js?ver=2.0-4561'></script> 
<script type='text/javascript' src='https://nabeelco.wordpress.com/wp-includes/js/jquery/jquery.schedule.js?ver=20'></script> 
<script type='text/javascript'> 
/* <![CDATA[ */
	wpAjax = {
		noPerm: "You do not have permission to do that.",
		broken: "An unidentified error has occurred."
	}
/* ]]> */
</script> 
<script type='text/javascript' src='https://nabeelco.wordpress.com/wp-includes/js/wp-ajax-response.js?ver=20080316'></script> 
<script type='text/javascript'> 
/* <![CDATA[ */
	autosaveL10n = {
		autosaveInterval: "60",
		previewPageText: "Preview this Page",
		previewPostText: "Preview this Post",
		requestFile: "https://nabeelco.wordpress.com/wp-admin/admin-ajax.php",
		savingText: "Saving Draft&#8230;"
	}
/* ]]> */
</script> 
<script type='text/javascript' src='https://nabeelco.wordpress.com/wp-includes/js/autosave.js?ver=20080622'></script> 
<script type='text/javascript' src='https://nabeelco.wordpress.com/wp-includes/js/jquery/suggest.js?ver=1.1b'></script> 
<script type='text/javascript' src='https://nabeelco.wordpress.com/wp-includes/js/jquery/ui.core.js?ver=1.5.2'></script> 
<script type='text/javascript' src='https://nabeelco.wordpress.com/wp-includes/js/jquery/ui.tabs.js?ver=1.5.2'></script> 
<script type='text/javascript'> 
/* <![CDATA[ */
	wpListL10n = {
		url: "https://nabeelco.wordpress.com/wp-admin/admin-ajax.php"
	}
/* ]]> */
</script> 
<script type='text/javascript' src='https://nabeelco.wordpress.com/wp-includes/js/wp-lists.js?ver=20080729'></script> 
<script type='text/javascript'> 
/* <![CDATA[ */
	postboxL10n = {
		requestFile: "https://nabeelco.wordpress.com/wp-admin/admin-ajax.php"
	}
/* ]]> */
</script> 
<script type='text/javascript' src='https://nabeelco.wordpress.com/wp-admin/js/postbox.js?ver=20080128'></script> 
<script type='text/javascript'> 
/* <![CDATA[ */
	slugL10n = {
		requestFile: "https://nabeelco.wordpress.com/wp-admin/admin-ajax.php",
		save: "Save",
		cancel: "Cancel"
	}
/* ]]> */
</script> 
<script type='text/javascript' src='https://nabeelco.wordpress.com/wp-admin/js/slug.js?ver=20080208'></script> 
<script type='text/javascript'> 
/* <![CDATA[ */
	postL10n = {
		tagsUsed: "Tags used on this post:",
		add: "Add",
		addTag: "Add new tag",
		separate: "Separate tags with commas",
		cancel: "Cancel",
		edit: "Edit"
	}
/* ]]> */
</script> 
<script type='text/javascript' src='https://nabeelco.wordpress.com/wp-admin/js/post.js?ver=20080629'></script> 
<script type='text/javascript' src='https://nabeelco.wordpress.com/wp-admin/js/editor.js?ver=20081030'></script> 
<script type='text/javascript' src='https://nabeelco.wordpress.com/wp-includes/js/thickbox/thickbox.js?ver=3.1-20080430'></script> 
<script type='text/javascript' src='https://nabeelco.wordpress.com/wp-admin/js/media-upload.js?ver=20080711'></script> 
<script type='text/javascript'> 
/* <![CDATA[ */
	wordCountL10n = {
		count: "Word count: %d"
	}
/* ]]> */
</script> 
<script type='text/javascript' src='https://nabeelco.wordpress.com/wp-admin/js/word-count.js?ver=20080423'></script> 
<script type='text/javascript'> 
/* <![CDATA[ */
	wpGearsL10n = {
		updateCompleted: "Update completed.",
		error: "Error:"
	}
/* ]]> */
</script> 
<script type='text/javascript' src='https://nabeelco.wordpress.com/wp-admin/js/wp-gears.js?ver=20080905'></script> 
<script type='text/javascript' src='https://nabeelco.wordpress.com/wp-includes/js/feedback.js?ver=3'></script> 
 
<script type="text/javascript"> 
 
tinyMCEPreInit = {
	base : "https://nabeelco.wordpress.com/wp-includes/js/tinymce",
	suffix : "",
	query : "ver=20081030",
	mceInit : {mode:"none", onpageload:"switchEditors.edInit", width:"100%", theme:"advanced", skin:"wp_theme", theme_advanced_buttons1:"bold,italic,strikethrough,|,bullist,numlist,blockquote,|,justifyleft,justifycenter,justifyright,|,link,unlink,wp_more,|,spellchecker,fullscreen,wp_adv", theme_advanced_buttons2:"formatselect,underline,justifyfull,forecolor,|,pastetext,pasteword,removeformat,|,charmap,|,outdent,indent,|,undo,redo,wp_help", theme_advanced_buttons3:"", theme_advanced_buttons4:"", language:"en", spellchecker_languages:"+English=en,Danish=da,Dutch=nl,Finnish=fi,French=fr,German=de,Italian=it,Polish=pl,Portuguese=pt,Spanish=es,Swedish=sv", theme_advanced_toolbar_location:"top", theme_advanced_toolbar_align:"left", theme_advanced_statusbar_location:"bottom", theme_advanced_resizing:"1", theme_advanced_resize_horizontal:"", dialog_type:"modal", relative_urls:"", remove_script_host:"", convert_urls:"", apply_source_formatting:"", remove_linebreaks:"1", paste_convert_middot_lists:"1", paste_remove_spans:"1", paste_remove_styles:"1", gecko_spellcheck:"1", entities:"38,amp,60,lt,62,gt", accessibility_focus:"", tab_focus:":next", content_css:"https://nabeelco.wordpress.com/wp-includes/js/tinymce/wordpress.css?m=1218566079a", save_callback:"switchEditors.saveCallback", wpeditimage_disable_captions:"", plugins:"safari,inlinepopups,autosave,spellchecker,paste,wordpress,media,fullscreen,wpeditimage,-syntaxhighlighter"},
 
	go : function() {
		var t = this, sl = tinymce.ScriptLoader, ln = t.mceInit.language, th = t.mceInit.theme, pl = t.mceInit.plugins;
	
		sl.markDone(t.base + '/langs/' + ln + '.js');
	
		sl.markDone(t.base + '/themes/' + th + '/langs/' + ln + '.js');
		sl.markDone(t.base + '/themes/' + th + '/langs/' + ln + '_dlg.js');
	
		tinymce.each(pl.split(','), function(n) {
			if (n && n.charAt(0) != '-') {
				sl.markDone(t.base + '/plugins/' + n + '/langs/' + ln + '.js');
				sl.markDone(t.base + '/plugins/' + n + '/langs/' + ln + '_dlg.js');
			}
		});
	},
	
	load_ext : function(url,lang) {
		var sl = tinymce.ScriptLoader;
	
		sl.markDone(url + '/langs/' + lang + '.js');
		sl.markDone(url + '/langs/' + lang + '_dlg.js');
	}
};
</script> 
<script type="text/javascript" src="https://nabeelco.wordpress.com/wp-includes/js/tinymce/tiny_mce.js?ver=20081030"></script> 
	<script type="text/javascript" src="https://nabeelco.wordpress.com/wp-includes/js/tinymce/langs/wp-langs-en.js?ver=20081030"></script> 
<script type="text/javascript"> 
 
 
tinyMCEPreInit.load_ext("https://s-ssl.wordpress.com/wp-content/plugins/highlight", "en");
tinymce.PluginManager.load("syntaxhighlighter", "https://s-ssl.wordpress.com/wp-content/plugins/highlight/syntaxhighlighter_mce.js?ver=20080416a");
	
// Mark translations as done
tinyMCEPreInit.go();
 
// Init
tinyMCE.init(tinyMCEPreInit.mceInit);
 
</script> 
 
 
<style type="text/css"> 
.quicklinks a img {background:transparent;border:0;padding:7px 7px 8px}
.quicklinks .menupop a:hover {background:none}
.quicklinks small a {display:inline}
.quicklinks ul {list-style:none;margin:0;padding:0;text-align:left}
.quicklinks ul li {float:left;margin:0}
.quicklinks ul li.blogmeta {margin-top:0.5em}
#wpcombar {background:url('https://s-ssl.wordpress.com/i/wpcombar_bkg-grey.png') top left;color:#fff;font:12px "Lucida Grande","Lucida Sans Unicode",Tahoma,Verdana;height:28px;left:0;margin:0;position:absolute;top:0;width:100%}
#wpcombar .menupop ul li a {color:#21759b;text-shadow:none;}
#wpcombar .menupop ul li a:hover {color:#fff;background:#21759b;text-shadow:rgba(0,0,0,0.4) 1px 1px 1px;}
#wpcombar .menupop ul li a:hover {background:rgba(33,117,155,0.6);}
#wpcombar .menupop ul, #wpcombar .menupop ul li:last-child a:hover {-webkit-border-bottom-left-radius:7px;-webkit-border-bottom-right-radius:7px;-moz-border-radius-bottomleft:7px;-moz-border-radius-bottomright:7px;}
#wpcombar .menupop a span {background:url('https://s-ssl.wordpress.com/i/wpcombar_arrow.gif') no-repeat 100% 0;padding-right:1em;line-height: 28px;}
#wpcombar .menupop ul {-moz-box-shadow:0 4px 8px rgba(0,0,0,0.1);-webkit-box-shadow:0 4px 8px rgba(0,0,0,0.1);background:#fff;left:-999em;position:absolute;border:1px solid #dfdfdf;border-top:none;float:none}
html>body #wpcombar .menupop ul {background:rgba(255,255,255,0.94);border-color:rgba(0,0,0,0.1);}
#wpcombar .menupop.myaccount ul, #wpcombar .menupop.mydashboards ul, #wpcombar .menupop.newpost ul {min-width:140px}
#wpcombar .menupop li {float:none;margin:0;padding:0;background-image:none;}
#wpcombar .quicklinks a,.blogmeta {border:none;color:#eee;text-shadow:#505050 1px 1px 1px;display:block;font:12px "Lucida Grande","Lucida Sans Unicode",Tahoma,Verdana;font-weight:normal;letter-spacing:normal;padding:0 0.75em;line-height:28px;text-decoration:none}
#wpcombar .myaccount {background:url('https://s-ssl.wordpress.com/i/wpcombar_bkg-logo.png') top left no-repeat}
#wpcombar .myaccount a {padding-left:34px}
#wpcombar .myaccount ul li a {padding-left:0.75em}
.quicklinks a:hover,#wpcombar .menupop:hover {background:url('https://s-ssl.wordpress.com/i/wpcombar_bkg-grey.png') bottom left}
#wpcombar .myaccount:hover {background:url('https://s-ssl.wordpress.com/i/wpcombar_bkg-logo.png') bottom left no-repeat}
#wpcombar li#admin-bar-videos {background-color: #D54E21; color: white;}
 
body {padding-top: 28px !important;}
 
 
</style> 
 
<!--[if IE]>
<style type="text/css">
#wpcombar .menupop li a {
	width: 100%;
}
#wpcombar .menupop ul li a:hover {color:#d54e21;}
</style>
<![endif]--> 
 
<script type="text/javascript"> 
function showNav(el) { el.getElementsByTagName('UL')[0].style.left='auto'; }
function hideNav(el) { el.getElementsByTagName('UL')[0].style.left='-999em'; }
function pressthis(step) {if (step == 1) {if(navigator.userAgent.indexOf('Safari') >= 0) {Q=getSelection();}else {if(window.getSelection)Q=window.getSelection().toString();else if(document.selection)Q=document.selection.createRange().text;else Q=document.getSelection().toString();}} else {location.href='https://nabeelco.wordpress.com/wp-admin/post-new.php?text='+encodeURIComponent(Q.toString())+'&amp;popupurl='+encodeURIComponent(location.href)+'&amp;popuptitle='+encodeURIComponent(document.title);}}
</script> 
<style type='text/css'>#feedbacklink { margin-top: 28px; }</style> 
<style  type="text/css"> 
 
.wrap h2 {
	clear: none;
}
</style> 
</head> 
<body class="wp-admin minwidth "> 
<div id="wpwrap"> 
<div id="wpcontent"> 
<div id="wphead"> 
<h1>Test Blog<span id="viewsite"><a href="http://nabeelco.wordpress.com/">Visit Site</a></span></h1> 
</div> 
 
	<div id="gears-info-box" class="info-box" style="display:none;"> 
	<img src="images/gear.png" title="Gear" alt="" class="gears-img" /> 
	<div id="gears-msg1"> 
	<h3 class="info-box-title">Speed up WordPress</h3> 
	<p>WordPress now has support for Gears, which adds new features to your web browser.<br /> 
	<a href="http://gears.google.com/" target="_blank" style="font-weight:normal;">More information...</a></p> 
	<p>After you install and enable Gears, most of WordPress&#8217; images, scripts, and CSS files will be stored locally on your computer. This speeds up page load time.</p> 
	<p><strong>Don&#8217;t install on a public or shared computer.</strong></p> 
	<div class="submit"><button onclick="window.location = 'http://gears.google.com/?action=install&amp;return=https%3A%2F%2Fnabeelco.wordpress.com%2Fwp-admin%2F';" class="button">Install Now</button> 
	<button class="button" style="margin-left:10px;" onclick="document.getElementById('gears-info-box').style.display='none';">Cancel</button></div> 
	</div> 
 
	<div id="gears-msg2" style="display:none;"> 
	<h3 class="info-box-title">Gears Status</h3> 
	<p>Gears is installed on this computer, but is not enabled for use with WordPress.</p> 
	<p>To enable it click the button below.</p> 
	<p><strong>However, Gears should not be enabled if this is a public or shared computer.</strong></p> 
	<div class="submit"><button class="button" onclick="wpGears.getPermission();">Enable Gears</button> 
	<button class="button" style="margin-left:10px;" onclick="document.getElementById('gears-info-box').style.display='none';">Cancel</button></div> 
	</div> 
 
	<div id="gears-msg3" style="display:none;"> 
	<h3 class="info-box-title">Gears Status</h3> 
	<p>Gears is installed and enabled on this computer. You can disable it from the Safari menu.</p> 
	<p>If there are any errors try disabling Gears, reloading the page, and re-enabling Gears.</p> 
	<p>Local storage status: <span id="gears-wait"><span style="color:#f00;">Updating files:</span> <span id="gears-upd-number"></span></span></p> 
	<div class="submit"><button class="button" onclick="document.getElementById('gears-info-box').style.display='none';">Close</button></div> 
	</div> 
 
	<div id="gears-msg4" style="display:none;"> 
	<h3 class="info-box-title">Gears Status</h3> 
	<p>This web site is denied to use Gears.</p> 
	<p>To allow it, change the Gears settings from the Safari menu and reload this page.</p> 
	<p><strong>However, Gears should not be enabled if this is a public or shared computer.</strong></p> 
	<div class="submit"><button class="button" onclick="document.getElementById('gears-info-box').style.display='none';">Cancel</button></div> 
	</div> 
	
	</div> 
 
<div id="user_info"><p>Howdy, <a href="profile.php">nabeelco</a>! | <a href="https://nabeelco.wordpress.com/wp-login.php?action=logout&#038;_wpnonce=4bd4158b28" title="Log Out">Log Out</a> | <a href="http://faq.wordpress.com/">Help</a> | <a href="http://en.forums.wordpress.com">Forums</a> | <span id="gears-menu"><a href="#" onclick="wpGears.message(1);return false;">Turbo</a></span></p></div> 
 
 
<ul id="dashmenu"> 
 
	<li><a href='index.php'>Dashboard</a></li></ul> 
 
<div id='new-feedback' style='display: none'><div class='wrap'><h2>Choose a Category</h2> 
<form id='wpmufeedbackform' action='wpmu-feedback.php' method='post'> 
<input type='hidden' name='req' id='req' value='%2Fwp-admin%2Fpost-new.php' /> 
<div id='quicklookup'><ul class='supportcats'> 
<li><a onclick="fbshow('music')">music</a></li> 
<li><a onclick="fbshow('delete')">blog deletion</a></li> 
<li><a onclick="fbshow('categories')">categories / tags</a></li> 
<li><a onclick="fbshow('comments')">comments</a></li> 
<li><a onclick="fbshow('compliments')">compliments</a></li> 
<li><a onclick="fbshow('domains')">domain names</a></li> 
<li><a onclick="fbshow('email')">email address</a></li> 
<li><a onclick="fbshow('feeds')">feeds</a></li> 
<li><a onclick="fbshow('images')">images / picture</a></li> 
<li><a onclick="fbshow('pages')">pages</a></li> 
<li><a onclick="fbshow('posts')">posts - read more</a></li> 
<li><a onclick="fbshow('privacy')">privacy</a></li> 
<li><a onclick="fbshow('password')">login / password</a></li> 
<li><a onclick="fbshow('stats')">stats</a></li> 
<li><a onclick="fbshow('themes')">themes</a></li> 
<li><a onclick="fbshow('uploads')">uploads</a></li> 
<li><a onclick="fbshow('users')">users</a></li> 
<li><a onclick="fbshow('upgrades')">upgrades</a></li> 
<li><a onclick="fbshow('video')">video</a></li> 
<li><a onclick="fbshow('widgets')">widgets</a></li> 
<li><a onclick="fbshow('aoueaoue')">Other</a></li> 
</ul><br class='clear' /></div> 
</form> 
<p><a href='http://faq.wordpress.com/' target='_blank'><strong>Visit WordPress FAQ &mdash; where 80% of questions are answered</strong></a></p> 
<p id='feedbackstatus'></p></div></div> 
 
<ul id='adminmenu'> 
 
	<li><a href='post-new.php' class="current">Write</a></li> 
	<li><a href='edit.php'>Manage</a></li> 
	<li><a href='themes.php'>Design</a></li> 
	<li><a href='edit-comments.php'>Comments <span id='awaiting-mod' class='count-0'><span class='comment-count'>0</span></span></a></li> 
	<li><a href='paid-upgrades.php'>Upgrades</a></li></ul> 
 
<ul id="sidemenu"> 
 
	<li><a href='options-general.php'>Settings</a> </li> 
	<li><a href='users.php'>Users</a></li></ul> 
 
 
<ul id="submenu"> 
 
	<li><a href='post-new.php' class="current">Post</a></li> 
	<li><a href='page-new.php'>Page</a></li> 
	<li><a href='link-add.php'>Link</a></li> 
</ul> 
<div id="wpbody"> 
 
 
 
<form name="post" action="post.php" method="post" id="post"> 
 
<div class="wrap"> 
<h2>Write Post</h2> 
<input type="hidden" id="_wpnonce" name="_wpnonce" value="143b141c2f" /><input type="hidden" name="_wp_http_referer" value="/wp-admin/post-new.php" /> 
<input type="hidden" id="user-id" name="user_ID" value="5504143" /> 
<input type="hidden" id="hiddenaction" name="action" value="post" /> 
<input type="hidden" id="originalaction" name="originalaction" value="post" /> 
<input type="hidden" id="post_author" name="post_author" value="" /> 
<input type="hidden" id="post_type" name="post_type" value="post" /> 
<input type="hidden" id="original_post_status" name="original_post_status" value="draft" /> 
<input name="referredby" type="hidden" id="referredby" value="https://nabeelco.wordpress.com/wp-admin/" /> 
 
<input type='hidden' id='post_ID' name='temp_ID' value='-1226025817' /> 
<div id="poststuff"> 
 
<div class="submitbox" id="submitpost"> 
 
<div id="previewview"> 
</div> 
 
<div class="inside"> 
 
<p><strong><label for='post_status'>Publish Status</label></strong></p> 
<p> 
<select name='post_status' id='post_status' tabindex='4'> 
<option value='publish'>Published</option> 
<option value='pending'>Pending Review</option> 
<option selected="selected" value='draft'>Unpublished</option> 
</select> 
</p> 
 
<p id="private-checkbox"><label for="post_status_private" class="selectit"><input id="post_status_private" name="post_status" type="checkbox" value="private"  tabindex="4" /> Keep this post private</label></p> 
			<p id="sticky-checkbox"><label for="sticky" class="selectit"><input id="sticky" name="sticky" type="checkbox" value="sticky"  tabindex="4" /> Stick this post to the front page</label></p> 
	<p class="curtime">Publish immediately&nbsp;<a href="#edit_timestamp" class="edit-timestamp hide-if-no-js" tabindex='4'>Edit</a></p> 
 
<div id='timestampdiv' class='hide-if-js'><select id="mm" name="mm" tabindex="4"> 
			<option value="01">January</option> 
			<option value="02">February</option> 
			<option value="03">March</option> 
			<option value="04">April</option> 
			<option value="05">May</option> 
			<option value="06">June</option> 
			<option value="07">July</option> 
			<option value="08">August</option> 
			<option value="09">September</option> 
			<option value="10">October</option> 
			<option value="11" selected="selected">November</option> 
			<option value="12">December</option> 
</select><input type="text" id="jj" name="jj" value="07" size="2" maxlength="2" tabindex="4" autocomplete="off"  />, <input type="text" id="aa" name="aa" value="2008" size="4" maxlength="5" tabindex="4" autocomplete="off"  /> <br />@ <input type="text" id="hh" name="hh" value="02" size="2" maxlength="2" tabindex="4" autocomplete="off"  /> : <input type="text" id="mn" name="mn" value="43" size="2" maxlength="2" tabindex="4" autocomplete="off"  /> 
 
<input type="hidden" id="hidden_mm" name="hidden_mm" value="11" /> 
<input type="hidden" id="hidden_jj" name="hidden_jj" value="07" /> 
<input type="hidden" id="hidden_aa" name="hidden_aa" value="2008" /> 
<input type="hidden" id="hidden_hh" name="hidden_hh" value="02" /> 
<input type="hidden" id="hidden_mn" name="hidden_mn" value="43" /> 
 
<input type="hidden" id="ss" name="ss" value="37" size="2" maxlength="2" /> 
</div> 
 
</div> 
 
<p class="submit"> 
<input type="submit" name="save" id="save-post" value="Save" tabindex="4" class="button button-highlighted" /> 
	<input name="publish" type="submit" class="button" id="publish" tabindex="5" accesskey="p" value="Publish" /> 
<br class="clear" /> 
<span id="autosave"></span> 
<span id="wp-word-count"></span> 
</p> 
 
<div class="side-info"> 
<h5>Related</h5> 
 
<ul> 
<li><a href="edit-comments.php">Manage All Comments</a></li> 
<li><a href="edit.php">Manage All Posts</a></li> 
<li><a href="categories.php">Manage All Categories</a></li> 
<li><a href="edit-tags.php">Manage All Tags</a></li> 
<li><a href="edit.php?post_status=draft">View Drafts</a></li> 
</ul> 
<h5>Shortcuts</h5> 
<p>Drag-and-drop the following link to your bookmarks bar or right click it and add it to your favorites for a posting shortcut.  <a href="javascript:var d=document,w=window,e=w.getSelection,k=d.getSelection,x=d.selection,s=(e?e():(k)?k():(x?x.createRange().text:0)),f='https://nabeelco.wordpress.com/wp-admin/press-this.php',l=d.location,e=encodeURIComponent,g=f+'?u='+e(l.href)+'&t='+e(d.title)+'&s='+e(s)+'&v=2';function a(){if(!w.open(g,'t','toolbar=0,resizable=0,scrollbars=1,status=1,width=700,height=500')){l.href=g;}}a();void(0);" title="Press This">Press This</a></p> 
</div> 
 
</div> 
 
<div id="post-body"> 
<div id="titlediv"> 
<h3><label for="title">Title</label></h3> 
<div id="titlewrap"> 
	<input type="text" name="post_title" size="30" tabindex="1" value="" id="title" autocomplete="off" /> 
</div> 
<div class="inside"> 
	<div id="edit-slug-box"> 
	</div> 
</div> 
</div> 
 
<div id="postdivrich" class="postarea"> 
<h3><label for="content">Post</label></h3> 
	<div id="editor-toolbar"> 
			<div class="zerosize"><input accesskey="e" type="button" onclick="switchEditors.go('content')" /></div> 
					<a id="edButtonHTML" onclick="switchEditors.go('content', 'html');">HTML</a> 
			<a id="edButtonPreview" class="active" onclick="switchEditors.go('content', 'tinymce');">Visual</a> 
				<div id="media-buttons" class="hide-if-no-js"> 
		Add media: 
	<a href="media-upload.php?post_id=-1226025817&amp;type=image&amp;TB_iframe=true" id="add_image" class="thickbox" title='Add an Image'><img src='images/media-button-image.gif' alt='Add an Image' /></a> 
	<a href="media-upload.php?post_id=-1226025817&amp;type=video&amp;TB_iframe=true" id="add_video" class="thickbox" title='Add Video'><img src='images/media-button-video.gif' alt='Add Video' /></a> 
	<a href="media-upload.php?post_id=-1226025817&amp;type=audio&amp;TB_iframe=true" id="add_audio" class="thickbox" title='Add Audio'><img src='images/media-button-music.gif' alt='Add Audio' /></a> 
	<a href="media-upload.php?post_id=-1226025817&amp;TB_iframe=true" id="add_media" class="thickbox" title='Add Media'><img src='images/media-button-other.gif' alt='Add Media' /></a> 
<a href='admin.php?page=polls&amp;iframe&amp;TB_iframe=true' id='add_poll' class='thickbox' title='Add Poll'><img src='/wp-content/admin-plugins/polldaddy/polldaddy.gif' alt='Add Poll' /></a>		</div> 
		</div> 
 
	<div id="quicktags"> 
	<script type='text/javascript'> 
/* <![CDATA[ */
	quicktagsL10n = {
		quickLinks: "(Quick Links)",
		wordLookup: "Enter a word to look up:",
		dictionaryLookup: "Dictionary lookup",
		lookup: "lookup",
		closeAllOpenTags: "Close all open tags",
		closeTags: "close tags",
		enterURL: "Enter the URL",
		enterImageURL: "Enter the URL of the image",
		enterImageDescription: "Enter a description of the image"
	}
/* ]]> */
</script> 
<script type='text/javascript' src='https://nabeelco.wordpress.com/wp-includes/js/quicktags.js?ver=3958'></script> 
	<script type="text/javascript">edToolbar()</script> 
	</div> 
 
	<div id='editorcontainer'><textarea rows='10' cols='40' name='content' tabindex='2' id='content'></textarea></div> 
	<script type="text/javascript"> 
	// <![CDATA[
	edCanvas = document.getElementById('content');
		// If tinyMCE is defined.
	if ( typeof tinyMCE != 'undefined' ) {
		// This code is meant to allow tabbing from Title to Post (TinyMCE).
		document.getElementById('title').onkeydown = function (e) {
			e = e || window.event;
			if (e.keyCode == 9 && !e.shiftKey && !e.controlKey && !e.altKey) {
				if ( tinyMCE.activeEditor ) {
					if ( (jQuery("#post_ID").val() < 1) && (jQuery("#title").val().length > 0) ) { autosave(); }
					e = null;
					if ( tinyMCE.activeEditor.isHidden() ) return true;
					tinyMCE.activeEditor.focus();
					return false;
				}
				return true;
			}
		}
	}
		// ]]>
	</script> 
	<input type="hidden" id="autosavenonce" name="autosavenonce" value="3c7b1a4155" /><input type="hidden" id="closedpostboxesnonce" name="closedpostboxesnonce" value="9ea7186e9c" /><input type="hidden" id="getpermalinknonce" name="getpermalinknonce" value="8957e2c57b" /><input type="hidden" id="samplepermalinknonce" name="samplepermalinknonce" value="c5ead0e6c7" /></div> 
 
<input type="hidden" name="post_pingback" value="1" id="post_pingback" /><input type="hidden" name="prev_status" value="draft" /> 
 
<div id="tagsdiv" class="postbox "> 
<h3>Tags</h3> 
<div class="inside"> 
<p id="jaxtag"><label class="hidden" for="newtag">Tags</label><input type="text" name="tags_input" class="tags-input" id="tags-input" size="40" tabindex="3" value="" /></p> 
<div id="tagchecklist"></div> 
</div> 
</div> 
<div id="categorydiv" class="postbox "> 
<h3>Categories</h3> 
<div class="inside"> 
<div id="category-adder" class="wp-hidden-children"> 
	<h4><a id="category-add-toggle" href="#category-add" class="hide-if-no-js" tabindex="3">+ Add New Category</a></h4> 
	<p id="category-add" class="wp-hidden-child"></p> 
</div> 
 
<ul id="category-tabs"> 
	<li class="ui-tabs-selected"><a href="#categories-pop" tabindex="3">Most Used</a></li> 
	<li class="wp-no-js-hidden"><a href="edit-form-advanced-tabs.php?post=0" tabindex="3" id="all-cats-link">All Categories</a></li> 
</ul> 
 
<div id="categories-pop" class="ui-tabs-panel" style="display: none;"> 
	<ul id="categorychecklist-pop" class="categorychecklist form-no-clear" > 
		
		<li id="popular-category-1" class="popular-category"> 
			<label class="selectit" for="in-popular-category-1"> 
			<input id="in-popular-category-1" type="checkbox" value="1" name="post_category[]"  /> 
				Uncategorized			</label> 
		</li> 
 
			</ul> 
</div> 
 
</div> 
</div> 
 
 
<h2>Advanced Options</h2> 
 
<div id="postexcerpt" class="postbox if-js-closed"> 
<h3>Excerpt</h3> 
<div class="inside"> 
<label class="hidden" for="excerpt">Excerpt</label><textarea rows="1" cols="40" name="excerpt" tabindex="6" id="excerpt"></textarea> 
<p>Excerpts are optional hand-crafted summaries of your content. You can <a href="http://codex.wordpress.org/Template_Tags/the_excerpt" target="_blank">use them in your template</a></p> 
</div> 
</div> 
<div id="trackbacksdiv" class="postbox if-js-closed"> 
<h3>Trackbacks</h3> 
<div class="inside"> 
<p><label for="trackback">Send trackbacks to:</label> <input type="text" name="trackback_url" style="width: 415px" id="trackback" tabindex="7" value="" /><br /> (Separate multiple URLs with spaces)</p> 
<p>Trackbacks are a way to notify legacy blog systems that you&#8217;ve linked to them. If you link other WordPress blogs they&#8217;ll be notified automatically using <a href="http://codex.wordpress.org/Introduction_to_Blogging#Managing_Comments" target="_blank">pingbacks</a>, no other action necessary.</p> 
</div> 
</div> 
<div id="commentstatusdiv" class="postbox if-js-closed"> 
<h3>Comments &amp; Pings</h3> 
<div class="inside"> 
<input name="advanced_view" type="hidden" value="1" /> 
<p><label for="comment_status" class="selectit"> 
<input name="comment_status" type="checkbox" id="comment_status" value="open"  checked="checked" /> 
Allow Comments</label></p> 
<p><label for="ping_status" class="selectit"><input name="ping_status" type="checkbox" id="ping_status" value="open"  checked="checked" /> Allow Pings</label></p> 
<p>These settings apply to this post only. &#8220;Pings&#8221; are <a href="http://codex.wordpress.org/Introduction_to_Blogging#Managing_Comments" target="_blank">trackbacks and pingbacks</a>.</p> 
</div> 
</div> 
<div id="passworddiv" class="postbox if-js-closed"> 
<h3>Password Protect This Post</h3> 
<div class="inside"> 
<p><label class="hidden" for="post_password">Password Protect This Post</label><input name="post_password" type="text" size="25" id="post_password" value="" /></p> 
<p>Setting a password will require people who visit your blog to enter the above password to view this post and its comments.</p> 
</div> 
</div> 
<div id="slugdiv" class="postbox if-js-closed"> 
<h3>Post Slug</h3> 
<div class="inside"> 
<label class="hidden" for="post_name">Post Slug</label><input name="post_name" type="text" size="13" id="post_name" value="" /> 
</div> 
</div> 
</div> 
</div> 
 
</div> 
 
</form> 
 
<script type="text/javascript"> 
try{document.post.title.focus();}catch(e){}
</script> 
</div><!-- wpbody --> 
</div><!-- wpcontent --> 
</div><!-- wpwrap --> 
<div id="footer"> 
<p>Thank you for creating with <a href="http://wordpress.com/">WordPress</a> | <a href="http://faq.wordpress.com/">Frequently Asked Questions</a></p> 
</div> 
<script src="https://ssl.stats.wordpress.com/w.js?17" type="text/javascript"></script> 
<script type="text/javascript"> 
 st_go({
  admin:1,
  user_id:5504143,
  page:"post-new.php"
 });
</script> 
 
<script type="text/javascript" src="https://wordpress.com/js/admin-bar-5504143-1225747232-2e5b.php"></script> 
<script type="text/javascript"> 
function adminbar_video_update(timeout, func) {
	jah('/wp-content/plugins/video/video-ajax.php?v='+Math.random(), 'admin-bar-videos');
	if (timeout) {setTimeout(func+'('+Math.floor(timeout*1.5)+', "'+func+'")', timeout);}
}
adminbar=adminbar.replace(/%%BLOGHOST%%/g, 'nabeelco.wordpress.com');
adminbar=adminbar.replace(/%%BLOGHOME%%/g, 'http://nabeelco.wordpress.com');
adminbar=adminbar.replace(/%%BLOGTITLE%%/g, 'Test Blog');
adminbar=adminbar.replace(/%%EDITLINK%%/, '');
adminbar=adminbar.replace(/%%AUTOTAGSDISPLAY%%/, 'none');
adminbar=adminbar.replace(/%%AUTOTAGSLIST%%/, '');
 
adminbar=adminbar.replace(/%%URL%%/, 'nabeelco.wordpress.com/wp-admin/post-new.php', 'mg');
document.write(adminbar);
if ( document.createElement ) {
	var q = document.getElementById('wpcombar');
	var r = document.createElement('div');
	r.innerHTML = q.innerHTML;
	q.parentNode.removeChild(q);
	r.setAttribute('id', 'wpcombar');
	r.style.zIndex = '1001';
	document.body.insertBefore(r, document.body.childNodes[0]);
}
</script> 
<script type="text/javascript">if(typeof wpOnload=='function')wpOnload();</script> 
</body> 
</html>
Comment 1 Steve Lombardi 2008-11-10 11:13:33 PST
I see this as well.  The link dialog is grayed out and cannot be interacted with.  You need to close the window to get out.  You cannot use the link dialog, must do by hand in html editor.
Comment 2 caleb mardini 2008-12-17 12:30:04 PST
I'm having this issue as well.

I'm logged into Wordpress.  While writing a post I highlighted some text and clicked on the "link" button in tinymce.  The link box popped up, but the entire screen greyed out and I was unable to interact with the page.  

All other windows and tabs were fine, just the Wordpress window in which I'd clicked the link button.  I was able to duplicate the problem, the page is unusable after clicking on the link button.

I don't see it happening when I click on the media buttons.
Comment 3 Robert Blaut 2008-12-27 12:33:07 PST

*** This bug has been marked as a duplicate of 21274 ***